> ## Documentation Index
> Fetch the complete documentation index at: https://platform.minimax.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Voice

> Use this API to delete generated voices.

This API is used to delete a specified voice\_id. Deletions apply only to voice\_id values generated through [Voice Clone API](/api-reference/voice-cloning-clone) and [Voice Design API](/api-reference/voice-design-design).

⚠️ Note: Once deleted, the voice\_id cannot be reused.


## OpenAPI

````yaml /api-reference/speech/voice-management/api/openapi.json POST /v1/delete_voice
openapi: 3.1.0
info:
  title: MiniMax Voice Management API
  description: MiniMax Voice Management API with support for getting and deleting voices
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.minimax.io
security:
  - bearerAuth: []
paths:
  /v1/delete_voice:
    post:
      tags:
        - Voice
      summary: Delete Voice
      description: Delete a voice by ID and type
      operationId: deleteVoice
      parameters:
        - name: Content-Type
          in: header
          required: true
          description: >-
            The media type of the request body. Must be set to
            `application/json` to ensure the data is sent in JSON format.
          schema:
            type: string
            enum:
              - application/json
            default: application/json
      requestBody:
        description: Delete voice request parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteVoiceReq'
        required: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteVoiceResp'
components:
  schemas:
    DeleteVoiceReq:
      type: object
      required:
        - voice_type
        - voice_id
      properties:
        voice_type:
          type: string
          description: |-
            Accepted values:

            - `voice_cloning`: Cloned voice
            - `voice_generation`: Voice generated from text prompt

            Only these two categories are supported for deletion.
          enum:
            - voice_cloning
            - voice_generation
        voice_id:
          type: string
          description: The voice_id of the voice to be deleted.
      example:
        voice_type: voice_cloning
        voice_id: yanshang11123
    DeleteVoiceResp:
      type: object
      properties:
        voice_id:
          type: string
          description: The voice_id of the deleted voice.
        created_time:
          type: string
          description: >-
            The time when the voice generation request was submitted, not the
            first activation time. Format: `yyyy-mm-dd`.
        base_resp:
          $ref: '#/components/schemas/DeleteBaseResp'
      example:
        voice_id: yanshang11123
        created_time: '1728962464'
        base_resp:
          status_code: 0
          status_msg: success
    DeleteBaseResp:
      type: object
      properties:
        status_code:
          type: integer
          format: int64
          description: >-
            Status code:


            - `0`: Deletion successful

            - `2013`: Invalid input


            For more information, please refer to the [Error Code
            Reference](/api-reference/errorcode).
        status_msg:
          type: string
          description: Status message.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        `HTTP: Bearer Auth`

        - Security Scheme Type: http

        - HTTP Authorization Scheme: `Bearer API_key`, can be found in [Account
        Management>API
        Keys](https://platform.minimax.io/user-center/basic-information/interface-key).

````